agent:
  enabled: false
  podSecurityContext:
    fsGroup: 1001
    runAsNonRoot: true
    runAsUser: 1001
  securityContext:
    allowPrivilegeEscalation: false
    capabilities:
      drop:
      - ALL
    readOnlyRootFilesystem: true
    runAsNonRoot: true
aggregator:
  enabled: true
  persistence:
    enabled: true
    hostPath:
      enabled: false
    size: 10Gi
    storageClassName: standard-rwo
  podSecurityContext:
    fsGroup: 1001
    runAsNonRoot: true
    runAsUser: 1001
  securityContext:
    allowPrivilegeEscalation: false
    capabilities:
      drop:
      - ALL
    readOnlyRootFilesystem: true
    runAsNonRoot: true
allowOperatorsOnDatabaseNodes: true
controlPlane: true
controlPlaneRemon: false
dex:
  config:
    connectors:
    - config:
        acrValues: null
        basicAuthUnsupported: false
        claimMapping:
          email: ""
          groups: ""
          preferred_username: ""
        clientID: **OIDC_CLIENT_ID**  
        clientSecret: **OIDC_CLIENT_SECRET**
        getUserInfo: false
        insecureEnableGroups: false
        insecureSkipEmailVerified: false
        issuer: **OIDC_ISSUER**
        promptType: ""
        redirectURI: https://MC_DOMAIN/dex/callback
        scopes:
        - profile
        - email
        userIDKey: ""
        userNameKey: ""
      id: oidc
      name: OpenID Connect
      type: oidc
    enablePasswordDB: true
    issuer: https://MC_DOMAIN/dex
    staticPasswords:
    - email: **ADMIN_EMAIL**
      hash: **HASHED_ADMIN_PASSWORD**
      userID: 00000000-0000-0000-0000-000000000000
      username: admin
  podSecurityContext:
    runAsNonRoot: true
  securityContext:
    allowPrivilegeEscalation: false
    capabilities:
      drop:
      - ALL
    readOnlyRootFilesystem: true
  volumeMounts:
  - mountPath: /tmp
    name: tmp
  volumes:
  - emptyDir: {}
    name: tmp
disableCertManagerCheck: true
disablePullSecretsGeneration: true
grafana:
  enabled: true
k8ssandra-operator:
  cass-operator:
    disableCertManagerCheck: true
    podSecurityContext:
      runAsNonRoot: true
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      readOnlyRootFilesystem: true
  podSecurityContext:
    runAsNonRoot: true
  securityContext:
    allowPrivilegeEscalation: false
    capabilities:
      drop:
      - ALL
    readOnlyRootFilesystem: true
kubernetes-ingress:
  controller:
    replicaCount: "2"
    resources:
      limits:
        memory: 2Gi
      requests:
        cpu: 100m
        memory: 128Mi
    service:
      annotations: null
      enablePorts:
        http: false
        prometheus: false
        stat: false
      labels: null
      ports:
        http: "8080"
        https: "8443"
        prometheus: "6060"
        stat: "1024"
      type: LoadBalancer
  enabled: true
loki:
  backend:
    extraEnv:
    - name: **GOOGLE_APPLICATION_CREDENTIALS**
      value: /etc/loki_secrets/gcp_service_account.json
    extraVolumeMounts:
    - mountPath: /etc/loki_secrets
      name: loki-secrets
    extraVolumes:
    - name: loki-secrets
      secret:
        items:
        - key: gcp_service_account.json
          path: gcp_service_account.json
        secretName: loki-secrets
    persistence:
      size: 30Gi
      storageClass: ""
      volumeClaimsEnabled: "1"
  enabled: true
  gateway:
    extraEnv:
    - name: **GOOGLE_APPLICATION_CREDENTIALS**
      value: /etc/loki_secrets/gcp_service_account.json
    extraVolumeMounts:
    - mountPath: /etc/loki_secrets
      name: loki-secrets
    extraVolumes:
    - name: loki-secrets
      secret:
        items:
        - key: gcp_service_account.json
          path: gcp_service_account.json
        secretName: loki-secrets
  loki:
    commonConfig:
      replication_factor: 1
    compactor:
      retention_enabled: true
      shared_store: gcs
      working_directory: /var/loki/retention
    limits_config:
      ingestion_burst_size_mb: 2000
      ingestion_rate_mb: 1000
      retention_period: 7d
    rulerConfig:
      storage:
        local:
          directory: /var/loki/rules
        type: local
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      readOnlyRootFilesystem: true
      runAsNonRoot: true
    storage:
      bucketNames:
        chunks: ui-playground-loki
      gcs:
        insecure: true
      type: gcs
  read:
    extraEnv:
    - name: **GOOGLE_APPLICATION_CREDENTIALS**
      value: /etc/loki_secrets/gcp_service_account.json
    extraVolumeMounts:
    - mountPath: /etc/loki_secrets
      name: loki-secrets
    extraVolumes:
    - name: loki-secrets
      secret:
        items:
        - key: gcp_service_account.json
          path: gcp_service_account.json
        secretName: loki-secrets
    persistence:
      enabled: "1"
      size: 30Gi
      storageClassName: ""
    replicas: 1
  sidecar:
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      readOnlyRootFilesystem: true
      runAsNonRoot: true
  write:
    extraEnv:
    - name: **GOOGLE_APPLICATION_CREDENTIALS**
      value: /etc/loki_secrets/gcp_service_account.json
    extraVolumeMounts:
    - mountPath: /etc/loki_secrets
      name: loki-secrets
    extraVolumes:
    - name: loki-secrets
      secret:
        items:
        - key: gcp_service_account.json
          path: gcp_service_account.json
        secretName: loki-secrets
    persistence:
      size: 30Gi
      storageClass: ""
      volumeClaimsEnabled: "1"
    replicas: 1
mimir:
  alertmanager:
    enabled: true
    extraArgs:
      alertmanager-storage.backend: local
      alertmanager-storage.local.path: /etc/alertmanager/config
      alertmanager.configs.fallback: /etc/alertmanager/config/default.yml
      alertmanager.sharding-ring.replication-factor: "2"
    extraVolumeMounts:
    - mountPath: /etc/alertmanager/config
      name: alertmanager-config
    - mountPath: /alertmanager
      name: alertmanager-config-tmp
    extraVolumes:
    - name: alertmanager-config
      secret:
        secretName: alertmanager-config
    - emptyDir: {}
      name: alertmanager-config-tmp
    persistentVolume:
      accessModes:
      - ReadWriteOnce
      enabled: "1"
      size: 10Gi
    replicas: "2"
    resources:
      limits:
        memory: 4Gi
      requests:
        cpu: 100m
        memory: 128Mi
  compactor:
    extraArgs:
      compactor.blocks-retention-period: 7d
    persistentVolume:
      accessModes:
      - ReadWriteOnce
      enabled: "1"
      size: 50Gi
    replicas: "1"
    resources:
      limits:
        memory: 4Gi
      requests:
        cpu: 100m
        memory: 128Mi
  distributor:
    extraArgs:
      ingester.ring.replication-factor: "1"
    replicas: "1"
    resources:
      limits:
        memory: 4Gi
      requests:
        cpu: 100m
        memory: 128Mi
  enabled: true
  ingester:
    extraArgs:
      ingester.max-global-series-per-user: "0"
      ingester.ring.replication-factor: "1"
    persistentVolume:
      accessModes:
      - ReadWriteOnce
      enabled: "1"
      size: 50Gi
    replicas: "3"
    resources:
      limits:
        memory: 4Gi
      requests:
        cpu: 100m
        memory: 128Mi
  mimir:
    structuredConfig:
      activity_tracker:
        filepath: /data/activity.log
      blocks_storage:
        backend: gcs
        bucket_store:
          sync_dir: /data/tsdb-sync
        gcs:
          bucket_name: ui-playground-mimir
          service_account: '**SERVICE_ACCOUNT_JSON**'
        tsdb:
          dir: /data/tsdb
      limits:
        ingestion_burst_size: 100000
        ingestion_rate: 50000
        max_label_names_per_series: 120
        out_of_order_time_window: 5m
  minio:
    buckets:
    - name: mimir-tsdb
      policy: none
      purge: false
    - name: mimir-ruler
      policy: none
      purge: false
    - name: ui-playground-loki
      policy: none
      purge: false
    - name: loki-ruler
      policy: none
      purge: false
    - name: loki-admin
      policy: none
      purge: false
    - name: mc-medusa
      policy: none
      purge: false
    configPathmc: /tmp/minio/mc/
    enabled: false
    mode: standalone
    persistence:
      size: 5Gi
    resources:
      requests:
        cpu: 200m
        memory: 256Mi
    rootPassword: minioadmin
    rootUser: minioadmin
    users:
    - accessKey: mimir-user
      policy: readwrite
      secretKey: mimir-user
  querier:
    extraArgs:
      ingester.ring.replication-factor: "1"
    replicas: "1"
    resources:
      limits:
        memory: 4Gi
      requests:
        cpu: 100m
        memory: 128Mi
  query_frontend:
    replicas: "1"
    resources:
      limits:
        memory: 4Gi
      requests:
        cpu: 100m
        memory: 128Mi
  query_scheduler:
    replicas: "1"
    resources:
      limits:
        memory: 4Gi
      requests:
        cpu: 100m
        memory: 128Mi
  ruler:
    enabled: true
    extraArgs:
      ingester.ring.replication-factor: "1"
      ruler-storage.backend: local
      ruler-storage.local.directory: /etc/rules
      ruler.alertmanager-url: http://mission-control-mimir-alertmanager:8080/alertmanager
      ruler.query-frontend.address: mission-control-mimir-query-frontend:9095
    extraVolumeMounts:
    - mountPath: /etc/rules/anonymous
      name: ruler-config
    extraVolumes:
    - configMap:
        defaultMode: 420
        name: ruler-config
      name: ruler-config
    replicas: "1"
    resources:
      limits:
        memory: 4Gi
      requests:
        cpu: 100m
        memory: 128Mi
  store_gateway:
    persistentVolume:
      accessModes:
      - ReadWriteOnce
      enabled: "1"
      size: 25Gi
    replicas: "1"
    resources:
      limits:
        memory: 4Gi
      requests:
        cpu: 100m
        memory: 128Mi
podSecurityContext:
  runAsNonRoot: true
replicated:
  enabled: false
  releaseNotes: ''
  statusInformers:
  - mission-control/deployment/mission-control-cass-operator
  - mission-control/deployment/mission-control-k8ssandra-operator
  - mission-control/deployment/mission-control
  versionLabel: b787b2f6
securityContext:
  allowPrivilegeEscalation: false
  capabilities:
    drop:
    - ALL
  readOnlyRootFilesystem: true
ui:
  baseUrl: https://**MC_DOMAIN**
  enabled: true
  https:
    enabled: true
